#include <iostream>
#include <vector>
#include <algorithm>
#include <cmath>
#include <string>
#include <set>
#include <cassert>

using namespace std;

signed main() {
    int a, b, c;
    cin >> a >> b >> c;

    if (a + b < c || a + c < b || b + c < a) {
        cout << "No\n";
        return 0;
    }
    if (a + b + c == 0) {
        cout << "Yes\na\na\na\n";
        return 0;
    }

    int x = max({a, b, c});

    string s(2 * x, 'a'), t(2 * x, 'a'), u(2 * x, 'a');
    if (a == x) {
        for (int i = 0; i < x; i++) {
            t[i] = 'b';
        }
        for (int i = x; i < 2 * x; i++) {
            if (b + c - 2 < x) break;
            u[i] = 'b';
            b--;
            c--;
        }
        for (int i = 0; i < x; i++) {
            if (b) {
                u[i] = 'b';
                b--;
            } else {
                u[i] = 'a';
                c--;
            }
        }
        assert(b + c <= 1);
        if (b + c == 1) u[0] = 'c';
    } else if (b == x) {
        for (int i = 0; i < x; i++) {
            u[i] = 'b';
        }
        for (int i = x; i < 2 * x; i++) {
            if (a + c - 2 < x) break;
            t[i] = 'b';
            a--;
            c--;
        }
        for (int i = 0; i < x; i++) {
            if (a) {
                t[i] = 'b';
                a--;
            } else {
                t[i] = 'a';
                c--;
            }
        }
        assert(a + c <= 1);
        if (a + c == 1) t[0] = 'c';
    } else if (c == x) {
        for (int i = 0; i < x; i++) {
            u[i] = 'b';
        }
        for (int i = x; i < 2 * x; i++) {
            if (a + b - 2 < x) break;
            s[i] = 'b';
            a--;
            b--;
        }
        for (int i = 0; i < x; i++) {
            if (a) {
                s[i] = 'b';
                a--;
            } else {
                s[i] = 'a';
                b--;
            }
        }
        assert(a + b <= 1);
        if (a + b == 1) s[0] = 'c';
    }

    cout << "Yes\n" << s << '\n' << t << '\n' << u << '\n';
    return 0;
}